Package com.ocient.jdbc

# Enum XGConnection.ConnectionProperty

java.lang.Object
java.lang.Enum<XGConnection.ConnectionProperty>
com.ocient.jdbc.XGConnection.ConnectionProperty

All Implemented Interfaces:
  `Serializable`, `Comparable<XGConnection.ConnectionProperty>`, `java.lang.constant.Constable`

Enclosing class:
  XGConnection

    public static enum XGConnection.ConnectionProperty
    extends Enum<XGConnection.ConnectionProperty>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`HANDSHAKE` |
`SSO_DEBUG_MODE` |
`SSO_O_AUTH_CODE_CALLBACK_PORT` |
`SSO_O_AUTH_FLOW` |
`SSO_OKTA_NATIVE_TOKEN_PATH` |
`SSO_TIMEOUT_SECONDS` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `description()` |
`boolean` | `getBoolean​(Properties properties, boolean defaultValue)` |
`double` | `getDouble​(Properties properties, double defaultValue)` |
`XGConnection.HandshakeType` | `getHandshakeType​(Properties properties, XGConnection.HandshakeType defaultValue)` |
`int` | `getInt​(Properties properties, int defaultValue)` |
`long` | `getLong​(Properties properties, long defaultValue)` |
`OpenIDAuthenticators.OAuthFlow` | `getOAuthFlow​(Properties properties, OpenIDAuthenticators.OAuthFlow defaultValue)` |
`XGConnection.ConnectionPropertyGroup` | `group()` |
`String` | `key()` |
`static XGConnection.ConnectionProperty` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static XGConnection.ConnectionProperty[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HANDSHAKE

public static final XGConnection.ConnectionProperty HANDSHAKE

### SSO_DEBUG_MODE

public static final XGConnection.ConnectionProperty SSO_DEBUG_MODE

### SSO_TIMEOUT_SECONDS

public static final XGConnection.ConnectionProperty SSO_TIMEOUT_SECONDS

### SSO_O_AUTH_CODE_CALLBACK_PORT

public static final XGConnection.ConnectionProperty SSO_O_AUTH_CODE_CALLBACK_PORT

### SSO_O_AUTH_FLOW

public static final XGConnection.ConnectionProperty SSO_O_AUTH_FLOW

### SSO_OKTA_NATIVE_TOKEN_PATH

public static final XGConnection.ConnectionProperty SSO_OKTA_NATIVE_TOKEN_PATH

## Method Details

### values

public static XGConnection.ConnectionProperty[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static XGConnection.ConnectionProperty valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### key

public String key()

### description

public String description()

### group

public XGConnection.ConnectionPropertyGroup group()

### getBoolean

public boolean getBoolean​(Properties properties, boolean defaultValue)

### getInt

public int getInt​(Properties properties, int defaultValue)

### getLong

public long getLong​(Properties properties, long defaultValue)

### getDouble

public double getDouble​(Properties properties, double defaultValue)

### getOAuthFlow

public OpenIDAuthenticators.OAuthFlow getOAuthFlow​(Properties properties, OpenIDAuthenticators.OAuthFlow defaultValue) throws SQLException

Throws:
  `SQLException`

### getHandshakeType

public XGConnection.HandshakeType getHandshakeType​(Properties properties, XGConnection.HandshakeType defaultValue) throws SQLException

Throws:
  `SQLException`